package org.wfc.common.core.web.form;

/**
 * 用户登录对象
 *
 * @author wfc
 */
public class LoginBody {
    /**
     * 用户名
     */
    private String username;

    /**
     * 用户密码
     */
    private String password;

    /**
     * 认证类型 用户u/客户sys
     */
    private String authType;

    /**
     * Wifi客户端重定向参数
     */
    private WANFiRedirectParams wanfiRedirectParams;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getAuthType() {
        return authType;
    }

    public void setAuthType(String authType) {
        this.authType = authType;
    }

    public WANFiRedirectParams getWanfiRedirectParams() {
        return wanfiRedirectParams;
    }

    public void setWanfiRedirectParams(WANFiRedirectParams wanfiRedirectParams) {
        this.wanfiRedirectParams = wanfiRedirectParams;
    }
}
